# DataCap (incubator)

DataCap is integrated software for data transformation, integration and visualization.

### Require

---

> Must-read for users: Be sure to execute the following command after cloning the code locally

```bash
cp configure/git-hook/* .git/hooks
chmod 700 .git/hooks/*
```

## Contributors

---

![GitHub Contributors Image](https://contrib.rocks/image?repo=EdurtIO/incubator-datacap)

## Supported Databases

---

DataCap can query data from any SQL-speaking datastore or data engine (ClickHouse, MySQL, Presto and more).

Here are some of the major database solutions that are supported:

<div align="center">
    <div align="center">
        <div align="center">
            <div align="center">
            <div align="center">
                <div align="center">
                    <code>
                        <a href="https://clickhouse.com" target="_blank">
                            <img src="./shared/plugin/clickhouse.svg" alt="ClickHouse" width="50" height="50" />
                        </a>
                    </code> <br />
                </div>
                <code>
                    <a href="https://www.mysql.com" target="_blank">
                        <img src="./shared/plugin/mysql.svg" alt="MySQL" width="50" height="50"/>
                    </a>
                    <a href="https://prestodb.io/" target="_blank">
                        <img src="./shared/plugin/presto.svg" alt="Presto" width="50" height="50"/>
                    </a>
                </code> <br />
            </div>
            <code>
                <a href="https://redis.io/" target="_blank">
                    <img src="./shared/plugin/redis.svg" alt="Redis" width="50" height="50"/>
                </a>
                <a href="https://www.postgresql.org/" target="_blank">
                    <img src="./shared/plugin/postgresql.svg" alt="PostgreSQL" width="50" height="50"/>
                </a>
                <a href="https://trino.io/" target="_blank">
                    <img src="./shared/plugin/trino.svg" alt="Trino" width="50" height="50"/>
                </a>
            </code> <br />
        </div>
        <code>
            <a href="https://www.elastic.co/" target="_blank">
                <img src="./shared/plugin/elasticsearch.svg" alt="ElasticSearch" width="50" height="50" />
            </a>
            <a href="https://druid.apache.org/" target="_blank">
                <img src="./shared/plugin/druid.jpg" alt="Druid" width="50" height="50" />
            </a>
            <a href="https://kyuubi.apache.org/" target="_blank">
                <img src="./shared/plugin/kyuubi.png" alt="Kyuubi" width="50" height="50" />
            </a>
            <a href="https://hive.apache.org/" target="_blank">
                <img src="./shared/plugin/hive.svg" alt="Hive" width="50" height="50" />
            </a>
        </code> <br />
        <code>
            <a href="https://kylin.apache.org" target="_blank">
                <img src="./shared/plugin/kylin.png" alt="Kylin" width="50" height="50" />
            </a>
            <a href="https://ignite.apache.org/" target="_blank">
                <img src="./shared/plugin/ignite.png" alt="Ignite" width="50" height="50" />
            </a>
            <a href="https://www.ibm.com/db2/" target="_blank">
                <img src="./shared/plugin/ibmdb2.png" alt="IBM DB2" width="45" height="45" />
            </a>
        </code> <br />
      </div>
    </div>
</div>

## Stargazers over time

---

[![Stargazers over time](https://starchart.cc/EdurtIO/incubator-datacap.svg)](https://starchart.cc/EdurtIO/incubator-datacap)

## Overview

---

![](https://visitor-badge.glitch.me/badge?page_id=incubator-datacap)
[![](https://tokei.rs/b1/github/EdurtIO/incubator-datacap)](https://github.com/EdurtIO/incubator-datacap)
![version](https://img.shields.io/github/v/release/EdurtIO/incubator-datacap.svg)

![GitHub release (latest by date including pre-releases)](https://img.shields.io/github/downloads-pre/EdurtIO/incubator-datacap/latest/total?style=flat-square)
![GitHub all releases](https://img.shields.io/github/downloads/EdurtIO/incubator-datacap/total?style=flat-square)

![GitHub branch checks state](https://img.shields.io/github/checks-status/EdurtIO/incubator-datacap/master?style=flat-square)
![GitHub Release Date](https://img.shields.io/github/release-date/EdurtIO/incubator-datacap?style=flat-square)

![GitHub commit activity](https://img.shields.io/github/commit-activity/y/EdurtIO/incubator-datacap?style=flat-square)
![GitHub contributors](https://img.shields.io/github/contributors-anon/EdurtIO/incubator-datacap?style=flat-square)
![GitHub last commit](https://img.shields.io/github/last-commit/EdurtIO/incubator-datacap?style=flat-square)

## Join Us

---

Open the DingTalk software and scan the following QR code to join

<img src="./shared/dingtalk.png" width="200px" height="250px"></img>

## Thank you

---

- [Jetbrains](https://www.jetbrains.com/)

## Installation and Configuration

---

[Extended documentation for DataCap](https://datacap.incubator.edurt.io)
